Subject: Re: question on sky2 driver panic

From: "Chris Friesen" <[email-masked]>
Date: Mon, 15 Oct 2007 23:16:16 -0600

Stephen Hemminger wrote:

> Maybe TIPC can't handle fragmented receive buffers.  The sky2 driver
> generates skb's with header and multiple pages if MTU is big enough.
> For 9K MTU that would be 1K of data + 2 4K pages.  The protocols are
> supposed to be smart enough to handle this, but TIPC is rarely used.

We already had to modify tipc to handle fragmented receive buffers when 
we had memory allocation errors on the e1000 and moved to fragmented 
skbs in that driver.

Our version of the e1000 passes 200 bytes in the initial chunk, and the 
rest in fragments.  tipc currently handles that without any difficulty.

I was just checking more to see if there were any known issues in this 
area that have been fixed in more recent driver versions.

Chris